#! /bin/tcsh -f

#
# do not touch below this line unless you know what you are doing
#
if ($1 != "" ) then 
  set model=$1
else
  echo 'Usage: iter.sh modelnumber' ;
  exit ;
endif

echo "Model $model" ;

set mg=0
if ($model == '104' || $model == '204') then
  set mg=1
endif

set PSD='~/nme/c_vers1/psd'
set PDIR='~/work/TwoAgent'

setenv PERSOLVDIR $PDIR
setenv PERSOLVINPUT "~/work/TwoAgent/"

rm -f *.par
echo "MONEY_GROWTH=$mg;" | $PSD - $PDIR/steady.in ;
$PSD $PDIR/beliefs.in ;

cp -f $PDIR/simu_hp.tsp simu_hp.tsp
$PSD $PDIR/RBE$model.in

exit ;
